package com.zcloud.basic.info.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.basic.info.domain.model.CorpFormE;
import com.zcloud.basic.info.persistence.dataobject.CorpFormDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-10-29 16:02:27
 */
public interface CorpFormRepository extends BaseRepository<CorpFormDO> {
    PageResponse<CorpFormDO> listPage(Map<String, Object> parmas);

    List<CorpFormDO> getInfoByType(Long id, Integer type);

    List<CorpFormDO> getInfoByTypeList(Long corpInfoId, List<Integer> typeList);
    List<CorpFormDO> getCorpListByTypeList(List<Long> corpInfoId, List<Integer> typeList);

    void addBatch(List<CorpFormDO> filteredList);
}

